Upgrade of macOS failed Error when attempting upgrade from 10.13.4 to 10.13.5

jbmiller
New Contributor III

I keep receiving the following error when attempting to use a policy and the 10.13.5 installer app to upgrade a machine that has 10.13.4 currently. "Unable to unarchive installer. Upgrade of macOS failed" I have tried doing the upgrade with both an install policy and also a policy for caching/installing the upgrade as well. Any suggestions on what could be causing this or how to fix this issue?

1 ACCEPTED SOLUTION

mvu
Valued Contributor

To update from 10.13.4 to 10.13.5, use the combo package, not the Installer App.

https://support.apple.com/kb/DL1965?viewlocale=en_US&locale=en_US

View solution in original post

3 REPLIES 3

mvu
Valued Contributor

To update from 10.13.4 to 10.13.5, use the combo package, not the Installer App.

https://support.apple.com/kb/DL1965?viewlocale=en_US&locale=en_US

mhasman
Valued Contributor

We always install Combo package only, but on few Macs with 10.13.4, I've got the same installation error. As then asked end-users to install the update via AppStore, updated with no issue

jbmiller
New Contributor III

Thanks worked like a charm. It worked just like I hoped by putting the pkg for the combo updater in to jss and used a policy to send it out.